light.h File Reference
`#include <ubuntu/status.h>`
`#include <ubuntu/visibility.h>`
`#include <ubuntu/application/sensors/event/light.h>`
Include dependency graph for light.h:

Go to the source code of this file.

## Typedefs

typedef void | UASensorsLight
| Opaque type that models the ambient light sensor. More...
typedef void(* | on_light_event_cb) (UASLightEvent *event, void *context)
| Callback type used by applications to subscribe to ambient light sensor events. More...

## Functions

UBUNTU_DLL_PUBLIC UASensorsLight * | ua_sensors_light_new ()
| Create a new object for accessing the ambient light sensor. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_light_enable (UASensorsLight *sensor)
| Enables the supplied ambient light sensor. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_light_disable (UASensorsLight *sensor)
| Disables the supplied ambient light sensor. More...
UBUNTU_DLL_PUBLIC uint32_t | ua_sensors_light_get_min_delay (UASensorsLight *sensor)
| Queries the minimum delay between two readings for the supplied sensor. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_light_get_min_value (UASensorsLight *sensor, float *value)
| Queries the minimum value that can be reported by the sensor. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_light_get_max_value (UASensorsLight *sensor, float *value)
| Queries the maximum value that can be reported by the sensor. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_light_get_resolution (UASensorsLight *sensor, float *value)
| Queries the numeric resolution supported by the sensor. More...
UBUNTU_DLL_PUBLIC void | ua_sensors_light_set_reading_cb (UASensorsLight *sensor, on_light_event_cb cb, void *ctx)
| Set the callback to be invoked whenever a new sensor reading is available. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_light_set_event_rate (UASensorsLight *sensor, uint32_t rate)
| Set the sensor event delivery rate in nanoseconds.. More...

## Typedef Documentation

typedef void(* on_light_event_cb) (UASLightEvent *event, void *context)

Callback type used by applications to subscribe to ambient light sensor events.

Definition at line 41 of file light.h.

typedef void UASensorsLight

Opaque type that models the ambient light sensor.

Definition at line 35 of file light.h.

## Function Documentation

UBUNTU_DLL_PUBLIC UStatus ua_sensors_light_disable | ( | UASensorsLight * | sensor | ) |

Disables the supplied ambient light sensor.

Returns
  U_STATUS_SUCCESS if successful or U_STATUS_ERROR if an error occured.

Parameters

  [in] | sensor | The sensor instance to be disabled.

UBUNTU_DLL_PUBLIC UStatus ua_sensors_light_enable | ( | UASensorsLight * | sensor | ) |

Enables the supplied ambient light sensor.

Returns
  U_STATUS_SUCCESS if successful or U_STATUS_ERROR if an error occured.

Parameters

  [in] | sensor | The sensor instance to be enabled.

UBUNTU_DLL_PUBLIC UStatus ua_sensors_light_get_max_value | ( | UASensorsLight * | sensor,
|  | float * | value
| ) |  |

Queries the maximum value that can be reported by the sensor.

Returns
  The maximum value that can be reported by the sensor.

Parameters

  [in] | sensor | The sensor instance to be queried.

UBUNTU_DLL_PUBLIC uint32_t ua_sensors_light_get_min_delay | ( | UASensorsLight * | sensor | ) |

Queries the minimum delay between two readings for the supplied sensor.

Returns
  The minimum delay between two readings in [ms].

Parameters

  [in] | sensor | The sensor instance to be queried.

UBUNTU_DLL_PUBLIC UStatus ua_sensors_light_get_min_value | ( | UASensorsLight * | sensor,
|  | float * | value
| ) |  |

Queries the minimum value that can be reported by the sensor.

Returns
  The minimum value that can be reported by the sensor.

Parameters

  [in] | sensor | The sensor instance to be queried.

UBUNTU_DLL_PUBLIC UStatus ua_sensors_light_get_resolution | ( | UASensorsLight * | sensor,
|  | float * | value
| ) |  |

Queries the numeric resolution supported by the sensor.

Returns
  The numeric resolution supported by the sensor.

Parameters

  [in] | sensor | The sensor instance to be queried.

UBUNTU_DLL_PUBLIC UASensorsLight* ua_sensors_light_new | ( |  | ) |

Create a new object for accessing the ambient light sensor.

Returns
  A new instance or NULL in case of errors.

UBUNTU_DLL_PUBLIC UStatus ua_sensors_light_set_event_rate | ( | UASensorsLight * | sensor,
|  | uint32_t | rate
| ) |  |

Set the sensor event delivery rate in nanoseconds..

Returns
  U_STATUS_SUCCESS if successful or U_STATUS_ERROR if an error occured.

Parameters

  [in] | sensor | The sensor instance to be modified.
  [in] | rate | The new event delivery rate.

UBUNTU_DLL_PUBLIC void ua_sensors_light_set_reading_cb | ( | UASensorsLight * | sensor,
|  | on_light_event_cb | cb,
|  | void * | ctx
| ) |  |

Set the callback to be invoked whenever a new sensor reading is available.

Parameters

  [in] | sensor | The sensor instance to associate the callback with.
  [in] | cb | The callback to be invoked.
  [in] | ctx | The context supplied to the callback invocation.